Index: trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/IterativeInsertionCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/IterativeInsertionCreator.cs	(revision 7895)
+++ trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/IterativeInsertionCreator.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,11 +22,10 @@
 using System;
 using System.Collections.Generic;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using HeuristicLab.Problems.VehicleRouting.ProblemInstances;
@@ -85,13 +84,12 @@
       PotvinEncoding result = new PotvinEncoding(instance);
 
-      IPickupAndDeliveryProblemInstance pdp = instance as IPickupAndDeliveryProblemInstance; 
+      IPickupAndDeliveryProblemInstance pdp = instance as IPickupAndDeliveryProblemInstance;
 
       List<int> customers = new List<int>();
       for (int i = 1; i <= instance.Cities.Value; i++)
-        if(pdp == null || pdp.GetDemand(i) >= 0)
+        if (pdp == null || pdp.GetDemand(i) >= 0)
           customers.Add(i);
 
-      customers.Sort(delegate(int city1, int city2)
-          {
+      customers.Sort(delegate(int city1, int city2) {
             double angle1 = CalculateAngleToDepot(instance, city1);
             double angle2 = CalculateAngleToDepot(instance, city2);
@@ -108,5 +106,5 @@
 
         int stopIdx = 0;
-        if(currentTour.Stops.Count > 0)
+        if (currentTour.Stops.Count > 0)
           result.FindBestInsertionPlace(currentTour, customers[index]);
         currentTour.Stops.Insert(stopIdx, customers[index]);
@@ -118,9 +116,9 @@
 
         CVRPEvaluation evaluation = instance.EvaluateTour(currentTour, result) as CVRPEvaluation;
-        if (result.Tours.Count < instance.Vehicles.Value && 
+        if (result.Tours.Count < instance.Vehicles.Value &&
           ((adhereTimeWindows && !instance.Feasible(evaluation)) || ((!adhereTimeWindows) && evaluation.Overload > double.Epsilon))) {
-            currentTour.Stops.Remove(customers[index]);
-            if (pdp != null)
-              currentTour.Stops.Remove(pdp.GetPickupDeliveryLocation(customers[index]));
+          currentTour.Stops.Remove(customers[index]);
+          if (pdp != null)
+            currentTour.Stops.Remove(pdp.GetPickupDeliveryLocation(customers[index]));
 
           if (currentTour.Stops.Count == 0)
@@ -128,5 +126,5 @@
           currentTour = new Tour();
           result.Tours.Add(currentTour);
-          
+
           currentTour.Stops.Add(customers[index]);
           if (pdp != null) {
Index: trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/PotvinCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/PotvinCreator.cs	(revision 7895)
+++ trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/PotvinCreator.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,12 +20,9 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Data;
-using HeuristicLab.Operators;
-using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Problems.VehicleRouting.Encodings.General;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
-using HeuristicLab.Problems.VehicleRouting.Encodings.General;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
@@ -36,5 +33,5 @@
       get { return false; }
     }
-    
+
     [StorableConstructor]
     protected PotvinCreator(bool deserializing) : base(deserializing) { }
Index: trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/PushForwardInsertionCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/PushForwardInsertionCreator.cs	(revision 7895)
+++ trunk/sources/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Creators/PushForwardInsertionCreator.cs	(revision 8053)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,11 +22,10 @@
 using System;
 using System.Collections.Generic;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using HeuristicLab.Problems.VehicleRouting.ProblemInstances;
@@ -116,5 +115,5 @@
     }
 
-    private static int GetNearestDepot(IVRPProblemInstance problemInstance, List<int> depots, int customer, 
+    private static int GetNearestDepot(IVRPProblemInstance problemInstance, List<int> depots, int customer,
       double alpha, double beta, double gamma, out double minCost) {
       int nearest = -1;
@@ -132,5 +131,5 @@
 
         double distance = GetDistance(customer + depotCount - 1, depot, problemInstance);
-       
+
         double dueTime = 0;
         if (problemInstance is ITimeWindowedProblemInstance)
@@ -158,6 +157,6 @@
     }
 
-    private static List<int> SortCustomers(IVRPProblemInstance problemInstance, List<int> customers, List<int> depots, 
-      Dictionary<int, int> depotAssignment, 
+    private static List<int> SortCustomers(IVRPProblemInstance problemInstance, List<int> customers, List<int> depots,
+      Dictionary<int, int> depotAssignment,
       double alpha, double beta, double gamma) {
       List<int> sortedCustomers = new List<int>();
@@ -168,5 +167,5 @@
       for (int i = 0; i < customers.Count; i++) {
         double cost;
-        int depot = GetNearestDepot(problemInstance, depots, customers[i], 
+        int depot = GetNearestDepot(problemInstance, depots, customers[i],
           alpha, beta, gamma,
           out cost);
